# PSF-LoginServer - master - net.psforever.filters.LoggerPrefixFilter
PSF - LoginServer - master - net.psforever.filters.LoggerPrefixFilter
Keywords: PSF LoginServer master net.psforever.filters.LoggerPrefixFilter

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package filters
  Definition Classes
    psforever
- ApplyCooldownToDuplicateLoggingFilter
- LoggerPrefixFilter
- MsgRegexFilter

c

net.psforever.filters

# LoggerPrefixFilter

###

#### class LoggerPrefixFilter extends Filter[ILoggingEvent]

Disrupts a variety of logging messages that originate from specific loggers. A comparison of the prefix text of the logger handling the event is performed, with a positive match denying that event being appended. The full prefix must be provided, as the filter uses the fully authenticated name and the logger occasionally displays an abbreviated form for longer names, e.g., "i.g.context.jasync ..." instead of "io.getquill.context.jasync ...".

Source
  LoggerPrefixFilter.java

Linear Supertypes
Filter[ILoggingEvent], LifeCycle, ContextAwareBase, ContextAware, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. LoggerPrefixFilter
2. Filter
3. LifeCycle
4. ContextAwareBase
5. ContextAware
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new LoggerPrefixFilter()

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def addError(arg0: String, arg1: Throwable): Unit
   Definition Classes
     ContextAwareBase → ContextAware
5.  def addError(arg0: String): Unit
   Definition Classes
     ContextAwareBase → ContextAware
6.  def addInfo(arg0: String, arg1: Throwable): Unit
   Definition Classes
     ContextAwareBase → ContextAware
7.  def addInfo(arg0: String): Unit
   Definition Classes
     ContextAwareBase → ContextAware
8.  def addStatus(arg0: Status): Unit
   Definition Classes
     ContextAwareBase → ContextAware
9.  def addWarn(arg0: String, arg1: Throwable): Unit
   Definition Classes
     ContextAwareBase → ContextAware
10.  def addWarn(arg0: String): Unit
    Definition Classes
      ContextAwareBase → ContextAware
11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  def decide(event: ILoggingEvent): FilterReply
    Definition Classes
      LoggerPrefixFilter → Filter
    Annotations
      @Override()
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def getContext(): Context
    Definition Classes
      ContextAwareBase → ContextAware
19.  def getDeclaredOrigin(): AnyRef
    Attributes
      protected[spi]
    Definition Classes
      ContextAwareBase
20.  def getName(): String
    Definition Classes
      Filter
21.  def getStatusManager(): StatusManager
    Definition Classes
      ContextAwareBase
22.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
24.  def isStarted(): Boolean
    Definition Classes
      Filter → LifeCycle
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  def setContext(arg0: Context): Unit
    Definition Classes
      ContextAwareBase → ContextAware
29.  def setName(arg0: String): Unit
    Definition Classes
      Filter
30.  def setPrefix(name: String): Unit
31.  def start(): Unit
    Definition Classes
      LoggerPrefixFilter → Filter → LifeCycle
    Annotations
      @Override()
32.  def stop(): Unit
    Definition Classes
      Filter → LifeCycle
33.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
34.  def toString(): String
    Definition Classes
      AnyRef → Any
35.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
37.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Filter[ILoggingEvent]

### Inherited from LifeCycle

### Inherited from ContextAwareBase

### Inherited from ContextAware

### Inherited from AnyRef

### Inherited from Any

### Ungrouped